# CardinalDirection

enum CardinalDirection : Enum<CardinalDirection>
Content copied to clipboard

This enum class is useful for determining cardinal directions (yaw).

## Entries

NORTH
Link copied to clipboard
NORTH()
Content copied to clipboard
EAST
Link copied to clipboard
EAST()
Content copied to clipboard
SOUTH
Link copied to clipboard
SOUTH()
Content copied to clipboard
WEST
Link copied to clipboard
WEST()
Content copied to clipboard

## Types

Companion
Link copied to clipboard
object Companion
Content copied to clipboard

## Functions

compareTo
Link copied to clipboard
operator override fun compareTo(other: CardinalDirection): Int
Content copied to clipboard
equals
Link copied to clipboard
operator override fun equals(other: Any?): Boolean
Content copied to clipboard
finalize
Link copied to clipboard
fun finalize()
Content copied to clipboard
getDeclaringClass
Link copied to clipboard
fun getDeclaringClass(): Class<CardinalDirection>
Content copied to clipboard
hashCode
Link copied to clipboard
override fun hashCode(): Int
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

facing
Link copied to clipboard
val facing: BlockFace?
Content copied to clipboard
name
Link copied to clipboard
val name: String
Content copied to clipboard
ordinal
Link copied to clipboard
val ordinal: Int
Content copied to clipboard